// splitter.cpp : implementation file
//

#include "stdafx.h"
#include "circle.h"
#include "circldoc.h"
#include "circlvw.h"
#include "textview.h"
#include "splitter.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSplitterFrameWnd

IMPLEMENT_DYNCREATE(CSplitterFrameWnd, CMDIChildWnd)

CSplitterFrameWnd::CSplitterFrameWnd()
{
}

CSplitterFrameWnd::~CSplitterFrameWnd()
{
}

	
BOOL CSplitterFrameWnd::OnCreateClient(LPCREATESTRUCT, CCreateContext* pContext)
	{
	// create a splitter with 1 row, 2 columns
	if (!m_wndSplitter.CreateStatic(this, 1, 2))
		{
		TRACE("Failed to CreateStatic Splitter\n");
		return FALSE;
		}

	// add the first splitter pane - the default view in column 0
	if (!m_wndSplitter.CreateView(0, 0,
		pContext->m_pNewViewClass, CSize(130, 50), pContext))
		{
		TRACE("Failed to create first pane\n");
		return FALSE;
		}

	// add the second splitter pane - a text view in column 1
	if (!m_wndSplitter.CreateView(0, 1,
		RUNTIME_CLASS(CTextView), CSize(0, 0), pContext))
		{
		TRACE("Failed to create second pane\n");
		return FALSE;
		}

	// activate the input view
	SetActiveView((CView*)m_wndSplitter.GetPane(0,1));

	return TRUE;
	}


BEGIN_MESSAGE_MAP(CSplitterFrameWnd, CMDIChildWnd)
	//{{AFX_MSG_MAP(CSplitterFrameWnd)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSplitterFrameWnd message handlers

